Bit confused by updates?

Post all topics related to VST Transit here.
Post Reply
Urumiko
New Member
Posts: 8
Joined: Tue Sep 20, 2016 1:10 pm
Contact:

Bit confused by updates?

Post by Urumiko » Tue Dec 13, 2016 3:14 pm

Hi,

A few months ago I upgraded from Cubase Elements8, to artist 8.5, My primary reason for this was to get access to VST Transit which I soon found didn't suit my needs, due to not supporting 3rd party plugins.

I notice with the Cubase 9 release they are now advertising the support of third party plugins but this feature I assume has not materialised in artist 8.5?
Does anyone know if artist 8.5 and particularly transit will be further updated? or will I be forced to upgrade further?

User avatar
Spork
Moderator
Posts: 210
Joined: Mon Nov 18, 2013 12:20 pm
Contact:

Re: Bit confused by updates?

Post by Spork » Tue Dec 13, 2016 5:17 pm

Hi
Urumiko wrote: A few months ago I upgraded from Cubase Elements8, to artist 8.5, My primary reason for this was to get access to VST Transit which I soon found didn't suit my needs, due to not supporting 3rd party plugins.

I notice with the Cubase 9 release they are now advertising the support of third party plugins but this feature I assume has not materialised in artist 8.5?
Does anyone know if artist 8.5 and particularly transit will be further updated? or will I be forced to upgrade further?
VST Transit 1.5 (which supports 3rd party plugins) was released with Cubase 9. But VST Transit also works with Cubase 8.5 - just start your VST Transit and it will automatically update itself to the latest version.

Have a nice day,
Michael.
Michael Spork, Developer
Hamburg, Germany

Urumiko
New Member
Posts: 8
Joined: Tue Sep 20, 2016 1:10 pm
Contact:

Re: Bit confused by updates?

Post by Urumiko » Fri Dec 16, 2016 1:49 pm

Many thanks (Very Excited)

Post Reply

Return to “VST Transit”

Who is online

Users browsing this forum: No registered users and 1 guest